%define upstream_name    CPAN-Upload-Tiny
%define upstream_version 0.009

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A tiny CPAN uploader
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(HTTP::Tiny::Multipart)
BuildRequires: perl(IO::Socket::SSL) >= 1.560.0
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Mozilla::CA)
BuildRequires: perl(Net::SSLeay) >= 1.490.0
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
A tiny CPAN uploader.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/cpan-upload-tiny
/usr/share/man/man1/cpan-upload-tiny.1.xz

%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.9.0-2.mga8
+ Revision: 1521373
- Mageia 8 Mass Rebuild

* Thu Dec 20 2018 tv <tv> 0.9.0-1.mga7
+ Revision: 1343425
- update to 0.009

* Thu Sep 20 2018 umeabot <umeabot> 0.8.0-2.mga7
+ Revision: 1281874
- Mageia 7 Mass Rebuild

* Sat May 05 2018 shlomif <shlomif> 0.8.0-1.mga7
+ Revision: 1226413
- update to 0.008

* Mon Apr 23 2018 shlomif <shlomif> 0.7.0-1.mga7
+ Revision: 1221683
- New version 0.007

* Mon Apr 23 2018 shlomif <shlomif> 0.5.0-1.mga7
+ Revision: 1221509
- New version 0.005

* Mon Oct 02 2017 tv <tv> 0.4.0-2.mga7
+ Revision: 1163590
- rebuild with fixed rpm for missing autodeps

* Thu Sep 21 2017 guillomovitch <guillomovitch> 0.4.0-1.mga7
+ Revision: 1156678
- new version 0.004

* Sat Apr 15 2017 shlomif <shlomif> 0.3.0-1.mga6
+ Revision: 1096562
- New version
- imported package perl-CPAN-Upload-Tiny


* Sun Apr 09 2017 cpan2dist 0.002-1mga
- initial mageia release, generated with cpan2dist
